/** \file formParsUtils.h
 *
 *  Definitions formatting and parsing utility functions
 *
 *  Copyright (c) 2014, 2015  Albrecht Weinert, Bochum
 *
 *  This library is under construction.
 *
 *  1
 *  25.01.2017
 */
#ifndef FORMPARSUTILS_H
#define FORMPARSUTILS_H
#include <stdint.h>
#include "arch/expConf.h"
#include "we-aut_sys/ll_common.h"


/** Format the lower nibble to a hexadecimal digit
 *
 *  The implementation should be as fast as reasonably possible.
 *
 *  \param nib the value to format, only lower nibble (0..15)
 *  \return the hex digit '0'..'F'
 */
uint8_t toHexDigit(uint8_t nib);

#endif
